# [BETA] Get volume

```http
GET /compute/v1/tenants/{tenantId}/volumes/{volumeId}
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `GetVolume`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:volumes`

Returns a volume by ID

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `volumeId` (string, required) — Volume ID

## Responses

### 200 — OK

Content type: `application/json`

- `createdAt` (string)
- `deviceId` (integer)
- `id` (string)
- `instanceId` (string)
- `name` (string)
- `sizeBytes` (integer)
- `state` (string, one of: `Allocated`, `Creating`, `Ready`, `Migrating`, `Expunging`, `Destroy`, `UploadOp`, `Snapshotting`, `RevertSnapshotting`, `Resizing`, `Expunged`, `Destroying`, `Copying`, `Uploaded`, `NotUploaded`, `UploadInProgress`, `UploadError`, `UploadAbandonedVolumeState`, `Attaching`, `Restoring`, `Unknown`)
- `type` (string, one of: `Root`, `DataDisk`, `BaseImage`, `ISO`, `Unknown`)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)

### 404 — Not Found

Content type: `application/json`

- `message` (string)
